cascading.tuple.hadoop

## Class BigDecimalSerialization.BigDecimalDeserializer

- java.lang.Object
- - cascading.tuple.hadoop.BigDecimalSerialization.BigDecimalDeserializer

All Implemented Interfaces:
  Deserializer<java.math.BigDecimal>

Enclosing class:
  BigDecimalSerialization

    public static class BigDecimalSerialization.BigDecimalDeserializer
    extends java.lang.Object
    implements Deserializer<java.math.BigDecimal>

### Constructor Summary

Constructors
Constructor and Description
`BigDecimalSerialization.BigDecimalDeserializer()`

### Method Summary

Methods
`void` `close()`
`java.math.BigDecimal` `deserialize(java.math.BigDecimal existing)`
`void` `open(java.io.InputStream in)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BigDecimalSerialization.BigDecimalDeserializer

    public BigDecimalSerialization.BigDecimalDeserializer()

### Method Detail

#### open

    public void open(java.io.InputStream in)
              throws java.io.IOException

Specified by:
  `open` in interface `Deserializer<java.math.BigDecimal>`
Throws:
  `java.io.IOException`

#### deserialize

    public java.math.BigDecimal deserialize(java.math.BigDecimal existing)
                                     throws java.io.IOException

Specified by:
  `deserialize` in interface `Deserializer<java.math.BigDecimal>`
Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `Deserializer<java.math.BigDecimal>`
Throws:
  `java.io.IOException`